{
  "[python]": {
    "editor.defaultFormatter": null,
    "editor.formatOnSave": true,
    "editor.codeActionsOnSave": {
      "source.organizeImports": true
    }
  },
  "python.linting.lintOnSave": true,
  "python.linting.enabled": true,
  "python.linting.pylintEnabled": false,
  "python.linting.flake8Enabled": true,
  "python.linting.flake8Args": ["--max-line-length=150", "--ignore=F541"],
  "python.formatting.provider": "autopep8",
  "python.formatting.autopep8Args": ["--max-line-length", "150"],
  "python.testing.pytestArgs": [
    "tests"
    // "--walk-through" // 一気通貫テストを行いたい場合はコメントを外す
  ],
  "python.testing.unittestEnabled": false,
  "python.testing.pytestEnabled": true
}
